# SalesPoint v3.0 -- Documentation
#
# config.make -- configuration for Makefile
#
# 21.03.2001 [SPX] initial revision
#

# DIR_JAVADOC
# Destination directory where everything goes into. If not given as
# absolute path it's relative to the directory the Makefile resides
# in.
DIR_JAVADOC = javadoc

# SOURCES
# All source files...
SOURCES = source/*.java
# SOURCES = $(shell find $(DIR_PROGRAM) -name \*.java)

# PACKAGES
# All packages to be javadoc'ed.
PACKAGES = $(SOURCES)
# PACKAGES = $(shell find $(DIR_PROGRAM) -name \*.java | sed -e"s,\(\./\)*\(.*\)/.*java,\2," | sort | uniq | tr -s "/" "." | tr -s "\n" " ")

# SHIFT_DIR_IDX
# Amount of leading directories to be ignored by 'apisource' of the
# source file path, i.e. given $SOURCES as myblubb/myblah/package1/*.java
# and $SHIFT_DIR_IDX set to 2, myblubb/myblah is ignored.
SHIFT_DIR_IDX = 1

# CLASSPATH
# Additional classpath entries. This uses your own CLASSPATH environment
# as standard.
CLASSPATH := $(CLASSPATH):/home/luna/java/classes/classes090201.jar

# JAVADOC
# Path name to javadoc program.
JAVADOC := javadoc
#JAVADOC := $(shell which javadoc)

# JAVADOC_ADD_PARAM
# Additional parameters for javadoc (like headers, footers, home links...)
JAVADOC_ADD_PARAM  = \
  -use \
  -windowtitle 'SalesPoint v3.0 Beispiel -- Videoautomat' \
  -doctitle 'Videoautomat' \
  -stylesheetfile ../format.css
#  -stylesheet

# JAVADOC_LINKS
# Links to other API's like the main Java API docs...
JAVADOC_LINKS = \
  http://java.sun.com/j2se/1.3/docs/api/ \
  http://www-st.inf.tu-dresden.de/SalesPoint/v3.0/javadoc/
#  http://shorty/doc/jdk1.3/api/ \
#  http://laccy/~luna/spnew/javadoc/
